Skip to main content
GET
/
api
/
v1
/
datasets
/
{dataset_id}
/
annotation-sets
/
{annotation_set_id}
Get Annotation Set Detail
curl --request GET \
  --url https://api.example.com/api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": 123,
  "status": "<string>",
  "total_annotations": 123,
  "total_positive_duration_ms": 123,
  "annotations_by_type": {},
  "created_at": "2023-11-07T05:31:56Z",
  "published_at": "2023-11-07T05:31:56Z",
  "annotations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "annotation_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "audio_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifact_type": "<string>",
      "start_ms": 123,
      "end_ms": 123,
      "confidence": 123,
      "extra_data": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

dataset_id
string<uuid>
required
annotation_set_id
string<uuid>
required

Response

Successful Response

Annotation set with its annotations.

id
string<uuid>
required
dataset_id
string<uuid>
required
version
integer
required
status
string
required
total_annotations
integer
required
total_positive_duration_ms
integer
required
annotations_by_type
Annotations By Type · object
required
created_at
string<date-time>
required
published_at
string<date-time> | null
required
annotations
AnnotationResponse · object[]
required